<!doctype html>
<html class="no-js" lang="">

<head>
    <meta charset="utf-8">
    <title></title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <meta property="og:title" content="">
    <meta property="og:type" content="">
    <meta property="og:url" content="">
    <meta property="og:image" content="">


    <link rel="stylesheet" href="css/normalize.css">
    <link rel="stylesheet" href="css/main.css">
    <link rel="stylesheet" href="css/highlight/default.min.css">


    <meta name="theme-color" content="#fafafa">
</head>

<body>

<h1>API Example for data.europa.eu Search API</h1>
<div class="text">
    To see the result of the functions, open your browsers' development tools with <kbd>Ctrl</kbd> + <kbd>Shift</kbd> +
    <kbd>I</kbd> and navigate to the Console. <br>
    In Firefox you can open the Console directly by pressing <kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>K</kbd>
</div>

<h2>Search in specific catalogue</h2>
<div class="text">To search for a term, the Endpoint <samp>/search</samp> has to be used with the parameter
    <samp>q</samp>.
</div>
<pre><code class="language-javascript script" data-file="search_fetch"></code></pre>
<div class="button">
    <button onclick="search_fetch()">Run</button>
</div>

<h2>Search in specific catalogue</h2>
<div class="text">To limit the search to a specific catalogue, the <samp>facets</samp> query parameter has to be used
    with the catalog facet.
    Additionally, to enable the facet search, the query parameter <samp>filter</samp>> has to be set to
    <samp>datasets</samp>>:
</div>
<pre><code class="language-javascript script" data-file="searchWithFilter_fetch"></code></pre>
<div class="button">
    <button onclick="searchWithFilter_fetch()">Run</button>
</div>


<h2>Search in specific catalogue</h2>
<div class="text">To retrieve the information for a specific catalogue, the endpoint <samp>/catalogues</samp> has to be
    used with the catalogue ID in the path.
</div>
<pre><code class="language-javascript script" data-file="catalogue_fetch"></code></pre>
<div class="button">
    <button onclick="catalogue_fetch()">Run</button>
</div>


<h2>Search in specific catalogue</h2>
<div class="text">To retrieve the information for a specific dataset, the endpoint <samp>/datasets</samp>> has to be
    used with the dataset ID in the path.

</div>
<pre><code class="language-javascript script" data-file="dataset_fetch"></code></pre>
<div class="button">
    <button onclick="dataset_fetch()">Run</button>
</div>


<script src="js/vendor/modernizr-3.11.2.min.js"></script>
<script src="js/search_fetch.js"></script>
<script src="js/searchWithFilter_fetch.js"></script>
<script src="js/catalogue_fetch.js"></script>
<script src="js/dataset_fetch.js"></script>


<script src="js/main.js"></script>
<script src="js/vendor/highlight.min.js"></script>
<script src="js/vendor/javascript.min.js"></script>

<script>loadScripts();</script>


</body>

</html>
